#version 120

#define PI 3.14159265

uniform float size;

void main()
{
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;	
	gl_TexCoord[0] = gl_MultiTexCoord0;

	vec2 dir = gl_MultiTexCoord0.xy;
	
	gl_PointSize = length(dir-0.5f)*size;

	vec2 r = normalize(dir-0.5f);

	float sinus = r.y;
	float cosinus = r.x;

	if(r.y<0)
		sinus = sin(asin(r.y) - 2*PI);

	gl_TexCoord[3] = vec4(cosinus, -sinus, sinus, cosinus);
}