#version 120

uniform sampler1D transfer;
uniform sampler2D arrowTex;
uniform vec3 color;

void main()
{
	//mat2 is Column major
	mat2 rot = mat2(vec2(gl_TexCoord[3].x, gl_TexCoord[3].z), vec2(gl_TexCoord[3].y, gl_TexCoord[3].w));

	vec2 center = vec2(0.5f, 0.5f);
	vec2 newcoord = rot * (gl_PointCoord - center) + center;

	vec4 a = texture2D(arrowTex, newcoord);
	vec4 c = texture1D(transfer, gl_TexCoord[4].x);
	gl_FragColor = vec4(c.xyz, a.w*c.w);
}